Subject: Re: [PATCH -mm 0/10][RFC] aio: make struct kiocb private

From: David Brownell <[email-masked]>
Date: Tue, 16 Jan 2007 00:22:35 -0800

On Monday 15 January 2007 8:25 pm, Nate Diller wrote:

> I don't think we should be waiting on sync I/O 
> at the *top* of the call stack, like with wait_on_sync_kiocb(), I'd
> say the best place to wait is at the *bottom*, down in the I/O
> scheduler.

Erm ... *what* I/O scheduler?  These I/O requests may go directly
to the end of the hardware I/O queue, which already has an I/O model
where each request can correspond directly to a KIOCB.  And which
does not include any synchronous primitives.

No such scheduler has previously been, or _should_ be, required.